Bug 154287 - Nautilus won't display thumbnails of some jpeg files , but displays default image icon instead
Nautilus won't display thumbnails of some jpeg files , but displays default i...
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Zeuthen
Depends On:
  Show dependency treegraph
Reported: 2005-04-08 20:53 EDT by Stephen Warren
Modified: 2013-03-05 22:43 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-04-09 16:58:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
A sample jpeg file that nautilus won't display a thumbnail for. (3.30 MB, image/jpeg)
2005-04-08 20:55 EDT, Stephen Warren
no flags Details

  None (edit)
Description Stephen Warren 2005-04-08 20:53:03 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.6) Gecko/20050323 Firefox/1.0.2 Fedora/1.0.2-1.3.1

Description of problem:
I have a large number of photos in a directory tree. A lot of these are .jpeg files, from "Photo CDs" (from film developing) and from a number of digital cameras. When in "icon" view, Nautilus typically displays icons that show thumbnails of the images. However, for some valid jpeg files, it won't display a thumbnail, but instead displays the system's default "jpeg" icon instead.

Note that switching to "catalog" view *does* display a valid thumbnail, and switching back to icon view "forgets" that thumbnail again. Catalog view is not a useful work-around, since files can't be selected/cut/paste/right-clicked/dragged, thus making that view quite useless (btw, what *is* it's purpose?)

When I double-click the file to view the problem images in an image viewer, they are displayed correctly.

Note that I think I'm only seeing this problem on jpeg files from a "Canon Powershot Pro1", and even then, only on a seemingly arbitrary subset of the files (*but* a precisely reproducable subset - i.e. it's always the same set of file no matter whether I log out and back in, or delete files from ~/.thumbnails or ~/.nautilus/metafiles)

None of these fix the problem: F5, CTRL-R,  the "Refresh" graphical button, nor View/Reload menu.

Version-Release number of selected component (if applicable):
nautilus-2.8.1-4 rpm

How reproducible:

Steps to Reproduce:
1. Run Nautilus
2. Browse to a directory containing jpeg files
3. Put Nautilus into icon mode

Actual Results:  Only some icons are thumbnails of the images - others display the system's default "jpeg" icon.

Expected Results:  All icons should be image thumbnails.

Additional info:
Comment 1 Stephen Warren 2005-04-08 20:55:47 EDT
Created attachment 112897 [details]
A sample jpeg file that nautilus won't display a thumbnail for.
Comment 2 Sitsofe Wheeler 2005-04-09 16:50:33 EDT
That picture is pretty big so you are probably hitting the preview limit
(nautilus won't create previews for files over a certain size).

In a nautilus window go to Edit -> Preferences then Preview to see what I mean.
Comment 3 David Zeuthen 2005-04-09 16:58:06 EDT
Indeed, as pointed out in comment 2, this is a feature, not a bug.

Note You need to log in before you can comment on or make changes to this bug.